/* Prevent background scroll when popup is open */
body.popup-open {
  overflow: hidden;
}

/* Fullscreen overlay */
.popup-overlay {
  display: none; /* or flex */
  position: fixed;
  inset: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6);
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

.open-popup {
  cursor: pointer;
}

/* Popup content box */
.popup-content {
  background: white;
  max-width: 670px;
  max-height: 90vh;
  overflow: hidden;
  padding: 20px;
  border-radius: 10px;
  position: relative;
}

/* Scrollable inner area */
.popup-scroll {
  max-height: 70vh;
  overflow-y: auto;
  padding-right: 10px;
}

.close-popup {
  position: absolute;
  top: 10px;
  left: 15px;
  background: transparent;
  border: none;
  font-size: 14px;
  color: var(--white);
  cursor: pointer;
  transition: color 0.2s ease;
  background-color: var(--red);
  padding: 5px 8px;
  border-radius: 8px;
  z-index: 1;
}

.page-id-1733 .close-popup {
  background-color: var(--business-red) !important;
}

.close-popup:hover {
  color: var(--beige);
}
